Subject: Regarding order invoice/ [email-masked] /2216477/ 9639858016
From: ARUNJAY RAJ <[email-masked]>
To: Seeta Seeta <[email-masked]>, Shakeeb Arsalan <[email-masked]>
Cc: Manish Kumar <[email-masked]>, Apoorv Joshi <[email-masked]>
Date: Tue, 9 Mar 2021 14:28:31 -0700 (MST)

Hi Team, 

Customer requested for the invoice of the order number 9639858016 

Kindly do the needful, Thanks for the help 

Regards, 
Arunjay